Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160967 - Back up feature in FC5 using rsync
Summary: Back up feature in FC5 using rsync
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-release
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-19 11:07 UTC by Amadeus
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-27 20:23:10 UTC


Attachments (Terms of Use)

Description Amadeus 2005-06-19 11:07:57 UTC
According to
http://www.fedoraproject.org/wiki/FC5Future

is a back up feature considered, and I would like to suggest rsync
http://samba.anu.edu.au/rsync/

for this with the following arguments
rsync -avWHRx --delete --delete-excluded --log-format='%i %f %l'
--exclude-from=$(HOME)/.rsync-exclude-list source destination

# -a                    symbolic links, devices, attributes, permissions,
ownerships etc are preserved and recursive dirs.
# -v                    verbose
# -R                    relative
# -W                    whole files
# -H                    presurve hardlinks
# -x                    one file system
# --delete              delete files on dest side, that aren't on the src side
# --delete-excluded     also delete excluded files on receiver

After such back up, can the partition be made bootable and boot. So exact is it.

Comment 1 Elliot Lee 2005-06-27 20:23:10 UTC
Thanks - rsync is definitely an option, but it will ultimately be up to the
person who takes on that project. One of the projects for the Google
SummerOfCode is to create a per-user backup tool, so I imagine that will have
some bearing on this project as well.


Note You need to log in before you can comment on or make changes to this bug.